import PCF8591 as ADC 
import time

def setup():
    ADC.setup(0x48)                 # Setup PCF8591
    global state

def readJoystick() :
    print('x : ', end='')
    print(ADC.read(0), end='');
    print(' y : ', end='')
    print(ADC.read(1), end='');
    print(' Bt : ', end='')
    if ADC.read(2) == 0 :
        print('pushed');
    else :
        print('released');
    
    time.sleep(0.5)
    
def loop():
    while True:
        readJoystick()

def destroy():
    pass

if __name__ == '__main__':      # Program start from here
    setup()
    try:
        loop()
    except KeyboardInterrupt:   # When 'Ctrl+C' is pressed, the child program destroy() will be  executed.
        destroy()

